Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.resolvers
Class AbstractEntryPointResolver

    java.lang.Object
      org.mule.model.resolvers.AbstractEntryPointResolver

All Implemented Interfaces:
  EntryPointResolver

Direct Known Subclasses:
  AnnotatedEntryPointResolver, ExplicitMethodEntryPointResolver, MethodHeaderPropertyEntryPointResolver, ReflectionEntryPointResolver

    public abstract class AbstractEntryPointResolver

extends Object
implements EntryPointResolver

A Base class for `EntryPointResolver`. It provides parameters for detemining if the payload of the message should be transformed first and whether void methods are acceptible. It also provides a method cashe for those resolvers that use reflection to discover methods on the service.

Field Summary
`protected Log` | `logger` logger used by this class
`protected edu.emory.mathcs.backport.java.util.concurrent.ConcurrentHashMap` | `methodCache`

Constructor Summary
`AbstractEntryPointResolver()`

Method Summary
`protected Method` | `addMethodByArguments(Object component, Method method, Object[] payload)`
`protected Method` | `addMethodByName(Method method, MuleEventContext context)`
`protected String` | `getCacheKeyForPayload(Object component, Object[] payload)`
`protected Method` | `getMethodByArguments(Object component, Object[] payload)`
`protected Method` | `getMethodByName(String methodName, MuleEventContext context)`
`protected Object[]` | `getPayloadFromMessage(MuleEventContext context)`
`protected InvocationResult` | `invokeMethod(Object component, Method method, Object[] arguments)`
`boolean` | `isAcceptVoidMethods()`
`boolean` | `isSynchronizeCall()`
`boolean` | `isTransformFirst()`
`void` | `setAcceptVoidMethods(boolean acceptVoidMethods)`
`void` | `setSynchronizeCall(boolean synchronizeCall)`
`void` | `setTransformFirst(boolean transformFirst)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.model.EntryPointResolver
`invoke`

Field Detail

### logger

    protected final transient Log logger

  logger used by this class

### methodCache

    protected final edu.emory.mathcs.backport.java.util.concurrent.ConcurrentHashMap methodCache

Constructor Detail

### AbstractEntryPointResolver

    public AbstractEntryPointResolver()

Method Detail

### isTransformFirst

    public boolean isTransformFirst()

### setTransformFirst

    public void setTransformFirst(boolean transformFirst)

### isAcceptVoidMethods

    public boolean isAcceptVoidMethods()

### setAcceptVoidMethods

    public void setAcceptVoidMethods(boolean acceptVoidMethods)

### getMethodByName

    protected Method getMethodByName(String methodName,
                                     MuleEventContext context)

### addMethodByName

    protected Method addMethodByName(Method method,
                                     MuleEventContext context)

### addMethodByArguments

    protected Method addMethodByArguments(Object component,
                                          Method method,
                                          Object[] payload)

### getMethodByArguments

    protected Method getMethodByArguments(Object component,
                                          Object[] payload)

### getCacheKeyForPayload

    protected String getCacheKeyForPayload(Object component,
                                           Object[] payload)

### getPayloadFromMessage

    protected Object[] getPayloadFromMessage(MuleEventContext context)
                                      throws TransformerException

  Throws:
    `TransformerException`

### invokeMethod

    protected InvocationResult invokeMethod(Object component,
                                            Method method,
                                            Object[] arguments)
                                     throws InvocationTargetException,
                                            IllegalAccessException

  Throws:
    `InvocationTargetException`
    `IllegalAccessException`

### isSynchronizeCall

    public boolean isSynchronizeCall()

### setSynchronizeCall

    public void setSynchronizeCall(boolean synchronizeCall)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.